nre_ad_block:
  label: LDB Block
  namespace: Organisms/TM - LDB
  use: '@organisms/tm-ldb/nre-ad-block.twig'
  description: Reload and auto update
  settings:
    style:
      label: Style
      type: select
      options:
        1: 1
        2: 2
      default: 1
      preview: 1
    hide_auto_update:
      label: Hide auto update button
      type: boolean
      default: false
      preview: false
    last_updated_text:
      label: Last updated text
      type: text
      default: 'Last updated:'
      preview: 'Last updated:'
    row_limit:
      type: number
      label: Row limit
      default_value: 0
      preview: 0
      description: If a number other than 0 is passed then a reveal more will be used if there are more rows than the limit
  fields:
    station:
      type: text
      label: Station
      preview: NRW
    calling_at:
      type: text
      label: Calling at
    seconds:
      type: text
      label: Auto time
      preview: 10
    initial_state:
      type: text
      label: Initial state
      preview: false
    aadc:
      type: text
      label: Dummy ajax content
